DataSourceDefinition (Common Annotations 1.3 API Documentation - Apache Tomcat 9.0.75)

Package javax.annotation.sql

## Annotation Type DataSourceDefinition

-     @Target(TYPE)
      @Retention(RUNTIME)
      @Repeatable(DataSourceDefinitions.class)
      public @interface DataSourceDefinition

  Since:
    Common Annotations 1.1

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element | Description
    --- | --- | ---
    `java.lang.String` | `className` |
    `java.lang.String` | `name` |

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element | Description
    --- | --- | ---
    `java.lang.String` | `databaseName` |
    `java.lang.String` | `description` |
    `int` | `initialPoolSize` |
    `int` | `isolationLevel` |
    `int` | `loginTimeout` |
    `int` | `maxIdleTime` |
    `int` | `maxPoolSize` |
    `int` | `maxStatements` |
    `int` | `minPoolSize` |
    `java.lang.String` | `password` |
    `int` | `portNumber` |
    `java.lang.String[]` | `properties` |
    `java.lang.String` | `serverName` |
    `boolean` | `transactional` |
    `java.lang.String` | `url` |
    `java.lang.String` | `user` |

- - ### Element Detail

    - #### className

          java.lang.String className

      Returns:
        the className

  - - #### name

          java.lang.String name

      Returns:
        the name

  - - #### description

          java.lang.String description

      Returns:
        the description
      Default:
        ""

  - - #### url

          java.lang.String url

      Returns:
        the url
      Default:
        ""

  - - #### user

          java.lang.String user

      Returns:
        the user
      Default:
        ""

  - - #### password

          java.lang.String password

      Returns:
        the password
      Default:
        ""

  - - #### databaseName

          java.lang.String databaseName

      Returns:
        database name
      Default:
        ""

  - - #### portNumber

          int portNumber

      Returns:
        the port number
      Default:
        -1

  - - #### serverName

          java.lang.String serverName

      Returns:
        the server name
      Default:
        "localhost"

  - - #### isolationLevel

          int isolationLevel

      Returns:
        the isolation level
      Default:
        -1

  - - #### transactional

          boolean transactional

      Returns:
        true if the data source is transactional
      Default:
        true

  - - #### initialPoolSize

          int initialPoolSize

      Returns:
        the initial pool size
      Default:
        -1

  - - #### maxPoolSize

          int maxPoolSize

      Returns:
        the max pool size
      Default:
        -1

  - - #### minPoolSize

          int minPoolSize

      Returns:
        the min pool size
      Default:
        -1

  - - #### maxIdleTime

          int maxIdleTime

      Returns:
        the max idle time
      Default:
        -1

  - - #### maxStatements

          int maxStatements

      Returns:
        the max statements
      Default:
        -1

  - - #### properties

          java.lang.String[] properties

      Returns:
        a String[] with the properties
      Default:
        {}

  - - #### loginTimeout

          int loginTimeout

      Returns:
        the login timeout
      Default:
        0